Subject: Re: linux-next: manual merge of the xen-two tree with Linus' tree

From: "Jan Beulich" <[email-masked]>
Date: Tue, 02 Oct 2012 12:54:20 +0100

>>> On 02.10.12 at 13:45, Stefano Stabellini <[email-masked]> wrote:
>> > Considering that dbgp doesn't seem to be very useful without PCI at the
>> > moment, could we just turn it into:
>> > 
>> > dom0-$(CONFIG_PCI) += dbgp.o
>> > 
>> > ?
>> 
>> Better not - the code is specifically not PCI-only. And I can't see
>> how it would be harmful to be compiled on e.g. ARM (so the
>> merge perhaps really should use XEN_DOM0 alone, without
>> X86. If anything (and that may indeed be a minor oversight of
>> the original patch) one might want it to depend on USB_SUPPORT,
>> as without that no in-tree debug port capable driver would be
>> able to load (and hence interfere with Xen's use of the debug
>> port). However, as long as it builds fine with USB_SUPPORT
>> undefined (which I believe it does), having it in the shape it
>> is allows for out-of-tree drivers as well (as long as they make
>> use of the designated interface).
> 
> OK for PCI.
> Regarding USB_SUPPORT, considering that gbgp.c calls hcd_to_bus, I think
> it would make sense to make it depend on it.

As said - I'd prefer to do that only if indeed needed to get things
to build without that option. Since include/usb/* doesn't reference
CONFIG_USB_SUPPORT, I'm in favor of supporting at least those
eventual out-of-tree drivers that do use the pre-existing data
structures (and others shouldn't be calling pre-existing APIs
anyway). But I wouldn't NAK a patch doing what you suggest
either.

Jan